<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">
        <script type="text/javascript">
            function validar(e) { // 1
                tecla = (document.all) ? e.keyCode : e.which; // 2
                if (tecla == 8)
                    return true; // 3
                patron = /\d/; // 4
                te = String.fromCharCode(tecla); // 5
                return patron.test(te); // 6
            }
        </script> 
        <h:form id="formAdminLicMed" >
            <h:outputText value="RH -> Configuración -> Licencias Médicas" style="font-weight: bold; font-size: medium"/>
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr> 
            <h:outputText value="Administración de Antigüedad con Goce Sueldo para Licencias Médicas" />
            <br/><br/>
            <h:panelGrid columns="1" cellpadding="10px" columnClasses="centered7" style="width: 90%;padding-left: 90px">
                <p:dataTable id="listaGoceSueldoAntiguedadLicencias" class="tabla"
                             value="#{adminLicenciasMedicasMB.lstRhNomnGoceSueldoAntiguedadTO}"
                             var="goceSueldoAnt"
                             paginator="true"
                             rows="10"
                             emptyMessage="No se encontró registro de días de goce de sueldo por antigüedad."
                             paginatorPosition="bottom"
                             rendered="#{!adminLicenciasMedicasMB.banderaCrearAntiguedad}"
                             style="font-size: small">

                    <f:facet name="header">
                        Antigüedad
                        <p:commandButton
                            styleClass="botonpequeno"
                            title="Agregar una nueva antigüedad"
                            icon="ui-icon-plusthick"
                            style="display:inline; float:right; font-size:x-small;"
                            action="#{adminLicenciasMedicasMB.agregarAntiguedad()}"
                            oncomplete="PF('dlgAntiguedad').show()"                          
                            update="@(.tmp)"                        
                            >
                            <p:ajax event="click" listener="#{adminLicenciasMedicasMB.agregarAntiguedad()}"/>
                        </p:commandButton>
                    </f:facet>    

                    <p:column headerText="Años desde" width="18%">
                        <p:outputLabel value="#{goceSueldoAnt.intAnioDesde}"/>
                    </p:column>
                    <p:column headerText="Años hasta" width="18%">
                        <p:outputLabel value="#{goceSueldoAnt.intAnioHasta}"/>
                    </p:column>
                    <p:column headerText="Días al 100%" width="18%">
                        <p:outputLabel value="#{goceSueldoAnt.intDias100}"/>
                    </p:column>
                    <p:column headerText="Días al 50%" width="18%">
                        <p:outputLabel value="#{goceSueldoAnt.intDias50}"/>
                    </p:column>
                    <p:column headerText="Acciones" width="28%" style="font-size: 70%">
                        <p:commandButton
                            id="btnActualizarAntiguedad"
                            value="Actualizar"                           
                            onclick="PF('dlgAntiguedad').show()"                           
                            update="@(.tmp)"
                            actionListener="#{adminLicenciasMedicasMB.actualizarRegAntiguedad()}">
                            <f:setPropertyActionListener
                                value="#{goceSueldoAnt}"
                                target="#{adminLicenciasMedicasMB.rhNomnGoceSueldoAntiguedadTOSelected}"/>
                            <p:ajax listener="#{adminLicenciasMedicasMB.actualizarRegAntiguedad()}" />                        

                        </p:commandButton>
                        <p:commandButton 
                            id="btnEliminarAntiguedad"
                            value="Eliminar"
                            process="@this"
                            immediate="true"  
                            update="@(.tabla)"
                            actionListener="#{adminLicenciasMedicasMB.eliminarAntiguedad(goceSueldoAnt.intIdAntiguedad)}">
                            <p:confirm header="Confirmación de eliminar días goce sueldo por antigüedad." 
                                       message="¿Está seguro de ELIMINAR el registro de días goce sueldo por antigüedad?" 
                                       icon="ui-icon-alert"/>                        
                        </p:commandButton> 
                        <p:confirmDialog global="true" 
                                         showEffect="fade" 
                                         hideEffect="fade">
                            <p:commandButton value="Si" 
                                             type="button" 
                                             styleClass="ui-confirmdialog-yes" 
                                             icon="ui-icon-check"                                         
                                             update="@(.tabla)"/>
                            <p:commandButton value="No" 
                                             type="button" 
                                             styleClass="ui-confirmdialog-no" 
                                             icon="ui-icon-close"/>
                        </p:confirmDialog> 
                    </p:column>
                </p:dataTable>  
            </h:panelGrid>
        </h:form>
        <p:dialog widgetVar="dlgAntiguedad" modal="true"  draggable="false" resizable="false"  closable="false" appendTo="@(body)">               
            <p:outputLabel value="#{adminLicenciasMedicasMB.banderaCrearAntiguedad==true?'Registro de días goce sueldo por antigüedad':'Actualizar días goce sueldo por antigüedad'}" style="font-weight: bold" class="tmp"/>
            <br/> <br/>
            <h:panelGroup class="tmp" id="tmp">
                <h:form id="formdialog">
                   
                        <h:panelGrid columns="4" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6" style="font-size: 100%;">
                            <p:column>
                                <h:outputText value="Año desde: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText value="#{adminLicenciasMedicasMB.rhNomnGoceSueldoAntiguedadTOSelected.intAnioDesde}" onkeypress="return validar(event)" maxlength="2">
                                    <!--                                <p:ajax event="change" process="@this" />-->
                                </p:inputText>
                            </p:column>
                            <p:column>
                                <h:outputText value="Año hasta: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText value="#{adminLicenciasMedicasMB.rhNomnGoceSueldoAntiguedadTOSelected.intAnioHasta}" onkeypress="return validar(event)" maxlength="2">
                                    <!--                                <p:ajax event="change" process="@this"/>-->
                                </p:inputText>
                            </p:column>
                            <p:column>
                                <h:outputText value="Días al 100%: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText value="#{adminLicenciasMedicasMB.rhNomnGoceSueldoAntiguedadTOSelected.intDias100}" onkeypress="return validar(event)" maxlength="2">
                                    <!--                                <p:ajax event="change" process="@this"/>-->
                                </p:inputText>
                            </p:column>
                            <p:column>
                                <h:outputText value="Días al 50%: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText value="#{adminLicenciasMedicasMB.rhNomnGoceSueldoAntiguedadTOSelected.intDias50}" onkeypress="return validar(event)" maxlength="2">
                                    <!--                                <p:ajax event="change" process="@this"/>-->
                                </p:inputText>
                            </p:column>

                        </h:panelGrid>
                   
                    <div align="right">
                        <p:commandButton 
                            id="btnGuardarAntiguedad" 
                            value="Guardar"                         
                            style="font-size: 70%;"
                            process="@(.tmp)"
                            update="@(.tabla)"
                            action="#{adminLicenciasMedicasMB.guardarAntiguedad()}"
                            >                                           
                        </p:commandButton>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            id="btnCancelar"
                            value="Cancelar"    
                            style="font-size: 70%;"
                            process="@this"
                            update="formAdminLicMed"
                            onclick="PF('dlgAntiguedad').hide()"
                            actionListener="#{adminLicenciasMedicasMB.cerrarRegAntiguedad()}"/>
                    </div> 
                </h:form>
            </h:panelGroup>
        </p:dialog>
    </ui:define>
</ui:composition>